Page MenuHomePhabricator

MediaWiki-extensions-Lockdown: Use of User::getEffectiveGroups was deprecated in MediaWiki 1.35
Closed, DuplicatePublicBUG REPORT

Description

Deprecated: Use of User::getEffectiveGroups was deprecated in MediaWiki 1.35. [Called from MediaWiki\Extensions\Lockdown\Hooks::onGetUserPermissionsErrors in /var/www/public/wiki/w/extensions/Lockdown/src/Hooks.php at line 123] in /var/www/public/wiki/w/includes/debug/MWDebug.php on line 375

This is shown when

error_reporting( E_ALL );
ini_set( 'display_errors', 1 );
$wgShowExceptionDetails = true;

is enabled.

Since it's deprecated, could you please update this before some future mediawiki removes this functionality thereby breaking this extension?

Event Timeline

This was already fixed in rELCK23f9f42afcd2c29dee08bd7124b9d132d3340891. What version of MediaWiki and Lockdown are you using?

@adrelanos: Thanks for reporting this. For future reference, please use the bug report form (linked from the top of the task creation page) to create a bug report. Thanks.

Aklapper changed the task status from Open to Stalled.Jan 11 2022, 5:35 PM
Aklapper changed the subtype of this task from "Task" to "Bug Report".